//Laser Target App
//Kevin Darrah
//http://www.kdcircuits.com


//Libraries 
import processing.video.*;//you have to go and install this one
import static javax.swing.JOptionPane.*;//needed by the message box for selecting port

Capture video;//the camera feed "video"

//variables that can be customized
int numberOfBlobs = 10;// number of blobs to have on the screen
int delayBetweenBlobs = 1000;// in milliseconds
int brightnessDiffThreshold = 60; //sensitivity of detection
int blobSizeThreshold = 100; //number of Pixels needed to have changed in order to run the blob detection function

int numPixels;//number pixels scanned each frame

PImage prescanImage;//this is the "old" frame saved
PImage changedImage;//modified frame from old vs new, used to detect the blob

// These are the coordiantes of the blobs
int[] brightSpotX = new int[numberOfBlobs];
int[] brightSpotY = new int[numberOfBlobs];

long startTime_shot = 0;//this is the timer variable for the delay between blobs
boolean firstFrame = true;//just so we can wipe out the changes from the first frame

void setup() {

  size(640, 480);//screen size

  //setup the camera
  cameraInit();

  prescanImage = createImage(640, 480, RGB);
  changedImage = createImage(640, 480, RGB);
  numPixels = 640*480;


}

void draw() {
  if (video.available()) {//only if a new frame is available
    checkBlob();
    drawScreen();
  }
}